package it.eng.spagosoa.utils.deser;




import org.apache.axis.MessageContext;
import org.apache.axis.components.logger.LogFactory;
import org.apache.axis.encoding.DeserializationContext;
import org.apache.axis.encoding.DeserializerImpl;
import org.apache.axis.message.MessageElement;
import org.apache.axis.utils.Messages;
import org.apache.commons.logging.Log;
import org.xml.sax.SAXException;


public class AnyDocumentDeserializer extends DeserializerImpl{

    protected static Log log =
        LogFactory.getLog(AnyDocumentDeserializer.class.getName());

   public static final String DESERIALIZE_CURRENT_ELEMENT = "DeserializeCurrentElement";

    public final void onEndElement(String namespace, String localName,
                                   DeserializationContext context)
        throws SAXException
    {
        try {
            MessageElement msgElem = context.getCurElement();
            if ( msgElem != null ) {
                MessageContext messageContext = context.getMessageContext();
                value = msgElem.getAsDocument();
                messageContext.setProperty(DESERIALIZE_CURRENT_ELEMENT, Boolean.FALSE);
                return;
                
//              Boolean currentElement = (Boolean) messageContext.getProperty(DESERIALIZE_CURRENT_ELEMENT);
//
//                if (currentElement != null && currentElement.booleanValue()) {
//                    value = msgElem.getAsDocument();
//                    messageContext.setProperty(DESERIALIZE_CURRENT_ELEMENT, Boolean.FALSE);
//                    return;
//                }
//                List children = msgElem.getChildren();
//                if ( children != null ) {
//                    msgElem = (MessageElement) children.get(0);
//                    if ( msgElem != null )
//                        value = msgElem.getAsDocument();
//                }
            }
        }
        catch( Exception exp ) {
            log.error(Messages.getMessage("exception00"), exp);
            throw new SAXException( exp );
        }
    }
}
