/**

    Copyright 2007, 2010 Engineering Ingegneria Informatica S.p.A.

    This file is part of Spagic.

    Spagic is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    any later version.

    Spagic is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
    
**/
package org.spagic.workflow.api.jbpm;

public class ProcessInstanceExecutionContext {

	private Long spagicInstanceId = null;
	private Long jbpmProcessInstanceId = null;
	private Long jbpmRootTokenId = null;
	
	public ProcessInstanceExecutionContext(Long spagicInstanceId,
			Long jbpmProcessInstanceId, Long jbpmRootTokenId) {
		super();
		this.spagicInstanceId = spagicInstanceId;
		this.jbpmProcessInstanceId = jbpmProcessInstanceId;
		this.jbpmRootTokenId = jbpmRootTokenId;
	}

	public Long getSpagicInstanceId() {
		return spagicInstanceId;
	}

	public void setSpagicInstanceId(Long spagicInstanceId) {
		this.spagicInstanceId = spagicInstanceId;
	}

	public Long getJbpmProcessInstanceId() {
		return jbpmProcessInstanceId;
	}

	public void setJbpmProcessInstanceId(Long jbpmProcessInstanceId) {
		this.jbpmProcessInstanceId = jbpmProcessInstanceId;
	}

	public Long getJbpmRootTokenId() {
		return jbpmRootTokenId;
	}

	public void setJbpmRootTokenId(Long jbpmRootTokenId) {
		this.jbpmRootTokenId = jbpmRootTokenId;
	}
	
	
	
}
