/**

    Copyright 2007, 2010 Engineering Ingegneria Informatica S.p.A.

    This file is part of Spagic.

    Spagic is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    any later version.

    Spagic is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
    
**/
package org.spagic.workflow.api.jbpm;

import java.util.Comparator;

import org.eclipse.ebpm.workflow.api.TaskInstance;

public class TaskInstanceComparator implements Comparator<TaskInstance> {


	public int compare(TaskInstance o1, TaskInstance o2) {
		
		if(o1.getEndDate()== null && o2.getEndDate()== null)
			return 0;
		else{
		if(o1.getEndDate()== null)
			return 1;
		else{
			if(o2.getEndDate()== null)
			return -1;
				else
					return o1.getEndDate().compareTo(o2.getEndDate());}
		}
	}
}
